<?php
namespace Controllers;
// Контроллер для товаров
class Products extends Controller {

	public function __construct() {
		parent::__construct();
		$this->model=new \Models\Products($this->db, $this->f3);
	}

	function search_barcodes() {
		$term=$this->f3->get('GET.product_search');
		$count=$this->f3->get('GET.coeff');
		if(!$count)$count=1;
		if(!$term) {
			$this->f3->set('page_data', $this->messeges->messege('not_enough_data'));
			return;
		}
		$page=$this->f3->get('GET.page');
		if(!$page) $page=1;

		$limit=$this->f3->get('lines_of_page');
		$res=$this->model->search($term, ($page-1)*$limit, $limit, true);
		if(count($res['products'])>1) {
			$this->f3->set('pagination', $this->pagination($res['count'], $page));
			$this->f3->set('products', $res['products']);
			$this->f3->set('page_data', $this->model->page_data('search'));
		}
		elseif(count($res['products'])==1) {
			$res=array(
				'success'=>true,
				'txt'=>$this->messeges->messege('loading')['txt'],
				'next_step'=>'/receipts/add_line?product_id='.$res['products'][0]['id'].'&count='.$count
			);
			echo json_encode($res);
			exit();
		}
		else {
			$this->f3->set('page_data', $this->messeges->messege('not_found'));
		}
	}
}